Skip to main content
GET
Get asset details

Authorizations

X-API-Key
string
header
required

API key authentication. Generate an API key from your account settings at https://platform.comfy.org/profile/api-keys. Pass the key in the X-API-Key header.

Path Parameters

id
string<uuid>
required

Asset ID

Response

Asset details retrieved successfully

id
string<uuid>
required

Unique identifier for the asset

name
string
required

Name of the asset file

size
integer<int64>
required

Size of the asset in bytes

created_at
string<date-time>
required

Timestamp when the asset was created

updated_at
string<date-time>
required

Timestamp when the asset was last updated

asset_hash
string

Blake3 hash of the asset content

Pattern: ^blake3:[a-f0-9]{64}$
mime_type
string

MIME type of the asset

tags
string[]

Tags associated with the asset

user_metadata
object

Custom user metadata for the asset

preview_url
string<uri>

URL for asset preview/thumbnail

preview_id
string<uuid> | null

ID of the preview asset if available

prompt_id
string<uuid> | null

ID of the job/prompt that created this asset, if available

last_access_time
string<date-time>

Timestamp when the asset was last accessed

is_immutable
boolean

Whether this asset is immutable (cannot be modified or deleted)